Upload an ISO application PDF for for an end user
curl --request POST \
--url https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/iso_application_form \
--header 'Content-Type: multipart/form-data' \
--header 'x-api-key: <api-key>' \
--form file='@example-file'import requests
url = "https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/iso_application_form"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
options.body = form;
fetch('https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/iso_application_form', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bank_statement": null,
"created": "2023-11-07T05:31:56Z",
"email": null,
"file_class": "<string>",
"file_source_metadata": {},
"filename": "<string>",
"heron_id": "<string>",
"iso_application": {
"heron_id": "iso_6hBjQT9k6KP2rLCXwjUJff",
"processing_status": "processed"
},
"num_pages": 123,
"page_classes": {},
"parent_heron_id": "<string>",
"parsed_results": [],
"processing_error": "<string>",
"reference_id": "<string>",
"renamed_filename": "<string>"
}ISOApplication
Upload an ISO application PDF for for an end user
Use this endpoint to upload an ISO application PDF. Once uploaded, the file will be automatically scrubbed asynchronously. You can use the returned iso_application heron_id (prefixed “iso_”) to fetch the scrubbing results. Please contact [email protected] to enable this endpoint.
POST
/
api
/
end_users
/
{end_user_id_or_heron_id}
/
iso_application_form
Upload an ISO application PDF for for an end user
Authorizations
Path Parameters
Body
multipart/form-data
Response
200 - application/json
OK
Show child attributes
Show child attributes
Example:
null
Show child attributes
Show child attributes
Example:
null
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I